Support

Support is part of Event Gallery Extended.

Please get a subscription if you need support. Feel free to use the ticket system or the contact form for reporting defects or pre-sale questions. Make sure you're logged in in order to be able to create a new ticket.

For general information you can also jump to the manual.

Subscribe now!

#2694 – eventgallery broken after upgrade to php 7.0

Posted in ‘Event Gallery Extended’
This is a public ticket. Everybody will be able to see its contents. Do not include usernames, passwords or any other sensitive information.
Wednesday, 31 May 2017 10:40 UTC
BartelBe
The symptoms: only a few thumbnails show - no images are shown in the clickthrough lightbox - emptying cache does not help

Issues Status
OK: 29
SKIPPED: 90
ERROR: 0
UNCHECKED: 0

Settings

PHP Version
7.0.19-1~dotdeb+8.1
Installed Event Gallery Package Version
3.7.2 (build d7c9a50)
Database Schema Version
Target Version: 3.6.4_2017-02-13  

Memory Limit
128M
image.php is executable
true

Custom Fields

Event Gallery Version 3.7.2 (build d7c9a50)
Joomla Version 3.7.2
Wednesday, 31 May 2017 10:57 UTC
sbluege
Hi,

please provide a link to a site where you expect thumbnails.
 
Wednesday, 31 May 2017 12:32 UTC
BartelBe
Hi Sven,

The website is https://grid.vibel.eu
Each page except the homepage have eventgallery thumbnails linking to lightbox full images - On php 5.6.x all was working fine. The whole server works fine after upgrade to php 7, except eventgallery.
3 different gallery modules have been implemented and worked on php 5.6.x
https://grid.vibel.eu/recommended-grid-viewers
https://grid.vibel.eu/grid-blog
https://grid.vibel.eu/roleplay/environment

Thanks for helping to solve this issue

Roland

Wednesday, 31 May 2017 12:40 UTC
sbluege
Here is a link to a thumbnail: https://grid.vibel.eu/index.php?&mode=nocrop&width=400&folder=OpenSim&file=FestAvi2016_Francogrid_20160921_5.jpg&option=com_eventgallery&view=resizeimage

Your new PHP7 installation misses at least the mbstring php extension. I guess the PHP 5.6 version had that.
 
Wednesday, 31 May 2017 12:51 UTC
BartelBe

Thank you very much, Sven. [ sudo apt-get install php7.0-mbstring ] That solved the issue (!)


This ticket is closed, therefore read-only. You can no longer reply to it. If you need to provide more information, please open a new ticket and mention this ticket's number.